Package csb :: Package bio :: Package io :: Module wwpdb :: Class StandardID

[frames] | no frames]

# Class StandardID

source code

    object --+
             |
       EntryID --+
                 |
                StandardID

Standard PDB ID in the following form: xxxxY, where xxxx is the accession number (lower case) and Y is an optional chain identifier.

Nested Classes
Inherited from `EntryID`: `__metaclass__`

Instance Methods

tuple of str

parse(self, id) Split `id` into accession number and chain ID. | source code

Inherited from `EntryID`: `__init__`, `__str__`, `format` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods
Inherited from `EntryID`: `create`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `EntryID`: `accession`, `chain`, `entry_id` Inherited from `object`: `__class__`

Method Details

### parse(self, id)

source code

Split `id` into accession number and chain ID.

Parameters:
  - `id` - PDB identifier
Returns: tuple of str
  (accession, chain)
Raises:
  - `InvalidEntryIDError` - when `id` is in an inappropriate format
Overrides: EntryID.parse
  (inherited documentation)